Subject: Re: mysterious error message

From: "Shawn O. Pearce" <[email-masked]>
Date: Fri, 26 Sep 2008 07:26:48 -0700

Johannes Schindelin <[email-masked]> wrote:
> On Thu, 25 Sep 2008, Tom Sgouros wrote:
> 
> > I receive the following error message when I try to do a 'git push':
> > 
> >   tomfool@toms-box:hpl$ git push
> >   updating 'refs/heads/master'
> >     from ad4ae7925d3dd23798e7c5b733d2d8f930f7410f
> >     to   5b5f5fae014a4f3535fa10b0f6e28b4bf3225dc3
> >    Also local refs/remotes/origin/master
> >   Generating pack...
> >   Done counting 10 objects.
> >   Deltifying 10 objects...
> >   error: pack-objects died with strange error
> >   unpack eof before pack header was fully read
> >   ng refs/heads/master n/a (unpacker error)
> >   error: failed to push to 'ssh://[email-masked]/home/tomfool/hpl.git'
> >   tomfool@toms-box:hpl$
> 
> I got this message when I tried to push a project with submodules to a 
> server which had submodule-ignorant git installed.  Maybe it's that?

Almost.

I think its that there are submodules in the local side and they are
being pushed to the remote peer, but the git binary on the client
that is being used to execute git-push doesn't know about submodules.

"error: pack-objects died with strange error":

This was pack-objects aborting when it saw a subtree entry and it
couldn't trace down that path in order to include it into the pack.

"unpack eof before pack header was fully read":

This is the server side aborting because its gotten the command
set from the git-push client, but pack-objects never even got to
create the pack header, since it couldn't generate the full list
of objects it needed to include.

Tom, try upgrading to a Git implementation on the client.  It seems
to me that this repository must have been moved here by means outside
of Git (NFS mount?), or the client got downgraded (wrong $PATH?)

-- 
Shawn.